Kea: isc::config::UnixSocketInfo Struct Reference

| Kea 3.0.2-git

isc::config::UnixSocketInfo Struct Reference

Structure used to store UNIX connection data. More...

`#include <unix_command_config.h>`

## Public Member Functions
| UnixSocketInfo ()
| Constructor.
| ~UnixSocketInfo ()=default
| Destructor.

## Public Attributes
boost::shared_ptr< isc::asiolink::UnixDomainSocketAcceptor > | acceptor_
| Pointer to the acceptor service.
UnixCommandConfigPtr | config_
| Pointer to the socket config.
int | lock_fd_
| File description to lock name file.
boost::shared_ptr< isc::asiolink::UnixDomainSocket > | socket_
| Pointer to the socket into which the new connection is accepted.
bool | usable_
| Flag which indicates if socket can be reused.

## Detailed Description

Structure used to store UNIX connection data.

(configuration, acceptor, etc.)

Definition at line 127 of file unix_command_config.h.

## Constructor & Destructor Documentation

## ◆ UnixSocketInfo()

isc::config::UnixSocketInfo::UnixSocketInfo | ( |  | ) |
| inline

Constructor.

Definition at line 144 of file unix_command_config.h.

References lock_fd_, and usable_.

## ◆ ~UnixSocketInfo()

isc::config::UnixSocketInfo::~UnixSocketInfo | ( |  | ) |
| default

Destructor.

## Member Data Documentation

## ◆ acceptor_

boost::shared_ptr<isc::asiolink::UnixDomainSocketAcceptor> isc::config::UnixSocketInfo::acceptor_

Pointer to the acceptor service.

Definition at line 135 of file unix_command_config.h.

## ◆ config_

UnixCommandConfigPtr isc::config::UnixSocketInfo::config_

Pointer to the socket config.

Definition at line 141 of file unix_command_config.h.

## ◆ lock_fd_

int isc::config::UnixSocketInfo::lock_fd_

File description to lock name file.

Definition at line 132 of file unix_command_config.h.

Referenced by UnixSocketInfo().

## ◆ socket_

boost::shared_ptr<isc::asiolink::UnixDomainSocket> isc::config::UnixSocketInfo::socket_

Pointer to the socket into which the new connection is accepted.

Definition at line 138 of file unix_command_config.h.

## ◆ usable_

bool isc::config::UnixSocketInfo::usable_

Flag which indicates if socket can be reused.

Definition at line 129 of file unix_command_config.h.

Referenced by UnixSocketInfo().

The documentation for this struct was generated from the following file:

- unix_command_config.h